求教spacemacs如何设置flycheck的checker

使用了pyenv,当前工程下是python版本为3.6.9 如何设置,使得flycheck能根据当前工程的python版本,自动去调用对应版本的checker呢?

看截图貌似是 Spacemacs,看看这个有没有帮助,https://github.com/syl20bnr/spacemacs/issues/7862

我设置了还是不行,理论上可以替换掉/usr/bin/python3 目前是python3.8 但是我选择直接禁用python-pycompile

  (setq-default flycheck-disabled-checkers '(python-pycompile))

企业微信截图_8e668024-ec54-4228-be66-89244a462ad4

spacemacs 中 pyenv activate 了么,我记得是 SPC-m-v-* 开头的快捷键。或者说 M-: (executable-find "python") 路径是 pyenv env 的么

请问怎么activate pyenv?

我不是写了么,详情去看 Python Layer 的文档

文档有写:

https://github.com/syl20bnr/spacemacs/tree/develop/layers/%2Blang/python#automatic-activation-of-local-pyenv-version

另外也可以试试:https://github.com/twlz0ne/shim.el